Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class ContentInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.ContentInfo

All Implemented Interfaces:
  ASN1Encodable, CMSObjectIdentifiers, Encodable

public class ContentInfo
extends ASN1Object
implements CMSObjectIdentifiers

RFC 5652 ContentInfo, and RFC 5652 EncapsulatedContentInfo objects. ContentInfo ::= SEQUENCE { contentType ContentType, content [0] EXPLICIT ANY DEFINED BY contentType OPTIONAL } EncapsulatedContentInfo ::= SEQUENCE { eContentType ContentType, eContent [0] EXPLICIT OCTET STRING OPTIONAL }

Field Summary

Fields inherited from interface org.bouncycastle.asn1.cms.CMSObjectIdentifiers
`authenticatedData, authEnvelopedData, compressedData, data, digestedData, encryptedData, envelopedData, id_alg, id_alg_cek_hkdf_sha256, id_ecdsa_with_shake128, id_ecdsa_with_shake256, id_ori, id_ori_kem, id_ri, id_ri_ocsp_response, id_ri_scvp, id_RSASSA_PSS_SHAKE128, id_RSASSA_PSS_SHAKE256, signedAndEnvelopedData, signedData, timestampedData, zlibCompress`

Constructor Summary
`ContentInfo(ASN1ObjectIdentifier contentType, ASN1Encodable content)`

Method Summary
`ASN1Encodable` | `getContent()`
`ASN1ObjectIdentifier` | `getContentType()`
`static ContentInfo` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static ContentInfo` | `getInstance(java.lang.Object obj)` Return an ContentInfo object from the given object.
`static ContentInfo` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`boolean` | `isDefiniteLength()` Return true if this object encapsulates a definite-length structure.
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentInfo

    public ContentInfo(ASN1ObjectIdentifier contentType,
                       ASN1Encodable content)

Method Detail

### getInstance

    public static ContentInfo getInstance(java.lang.Object obj)

  Return an ContentInfo object from the given object.

  Accepted inputs: null → null `ContentInfo` object `ASN1Sequence` input formats with ContentInfo structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ContentInfo getInstance(ASN1TaggedObject taggedObject,
                                          boolean declaredExplicit)

### getTagged

    public static ContentInfo getTagged(ASN1TaggedObject taggedObject,
                                        boolean declaredExplicit)

### getContentType

    public ASN1ObjectIdentifier getContentType()

### getContent

    public ASN1Encodable getContent()

### isDefiniteLength

    public boolean isDefiniteLength()

  Return true if this object encapsulates a definite-length structure.

  Returns:
    true if definite-length, false if indefinite.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD